VSTGUI: CubicBezierTimingFunction Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
CubicBezierTimingFunction Class Reference
Animation Timing Functions | Version 4.7
Inheritance diagram for CubicBezierTimingFunction:

## Public Member Functions
| CubicBezierTimingFunction (uint32_t milliseconds, CPoint p1, CPoint p2)
| CubicBezierTimingFunction (const CubicBezierTimingFunction &)=default
CubicBezierTimingFunction & | operator= (const CubicBezierTimingFunction &)=default
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Static Public Member Functions
static CubicBezierTimingFunction | easy (uint32_t time)
static CubicBezierTimingFunction | easyIn (uint32_t time)
static CubicBezierTimingFunction | easyOut (uint32_t time)
static CubicBezierTimingFunction | easyInOut (uint32_t time)

## Additional Inherited Members
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Constructor & Destructor Documentation

CubicBezierTimingFunction | ( | uint32_t | milliseconds,
|  | CPoint | p1,
|  | CPoint | p2
| ) |  |

CubicBezierTimingFunction | ( | const CubicBezierTimingFunction & |  | ) |
| default

## Member Function Documentation

CubicBezierTimingFunction easy | ( | uint32_t | time | ) |
| static

CubicBezierTimingFunction easyIn | ( | uint32_t | time | ) |
| static

CubicBezierTimingFunction easyInOut | ( | uint32_t | time | ) |
| static

CubicBezierTimingFunction easyOut | ( | uint32_t | time | ) |
| static

float getPosition | ( | uint32_t | milliseconds | ) |
| overridevirtual

Implements ITimingFunction.

CubicBezierTimingFunction& operator= | ( | const CubicBezierTimingFunction & |  | ) |
| default

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp